> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given bill payment.



## OpenAPI

````yaml api-reference/openapi.json put /api/bill-payments/{billPaymentId}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/bill-payments/{billPaymentId}:
    put:
      tags:
        - Bill Payments
      summary: Edit the given bill payment.
      operationId: BillPaymentsController_editBillPayment
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: billPaymentId
          required: true
          in: path
          description: The bill payment id
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditBillPaymentDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    EditBillPaymentDto:
      type: object
      properties:
        vendorId:
          type: number
          description: The id of the vendor
          example: 1
        amount:
          type: number
          description: The amount of the bill payment
          example: 100
        paymentAccountId:
          type: number
          description: The id of the payment account
          example: 1
        paymentNumber:
          type: string
          description: The payment number of the bill payment
          example: '123456'
        paymentDate:
          type: object
          description: The payment date of the bill payment
          example: '2021-01-01'
        exchangeRate:
          type: number
          description: The exchange rate of the bill payment
          example: 1
        statement:
          type: string
          description: The statement of the bill payment
          example: '123456'
        entries:
          description: The entries of the bill payment
          example:
            - billId: 1
              paymentAmount: 100
          type: array
          items:
            type: string
        branchId:
          type: number
          description: The id of the branch
          example: 1
        attachments:
          description: The attachments of the bill payment
          example:
            - id: 1
              type: bill
          type: array
          items:
            type: string
      required:
        - vendorId
        - amount
        - paymentAccountId
        - paymentNumber
        - paymentDate
        - exchangeRate
        - statement
        - entries
        - branchId
        - attachments

````